加纳塞地代付申请
curl --request POST \
--url https://uat-interface.haipay.asia/ghs/pay/apply \
--header 'Content-Type: application/json' \
--data '
{
"appId": 1054,
"orderId": "GHSPAY001",
"amount": "100.00",
"accountType": "EWALLET",
"bankCode": "operator-code",
"accountNo": "233241234567",
"name": "Kofi Mensah",
"phone": "233241234567",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
'import requests
url = "https://uat-interface.haipay.asia/ghs/pay/apply"
payload = {
"appId": 1054,
"orderId": "GHSPAY001",
"amount": "100.00",
"accountType": "EWALLET",
"bankCode": "operator-code",
"accountNo": "233241234567",
"name": "Kofi Mensah",
"phone": "233241234567",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://uat-interface.haipay.asia/ghs/pay/apply';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 1054,
orderId: 'GHSPAY001',
amount: '100.00',
accountType: 'EWALLET',
bankCode: 'operator-code',
accountNo: '233241234567',
name: 'Kofi Mensah',
phone: '233241234567',
notifyUrl: 'https://api.merchant.com/webhooks/haipay',
sign: 'signature'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://uat-interface.haipay.asia/ghs/pay/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => 1054,
'orderId' => 'GHSPAY001',
'amount' => '100.00',
'accountType' => 'EWALLET',
'bankCode' => 'operator-code',
'accountNo' => '233241234567',
'name' => 'Kofi Mensah',
'phone' => '233241234567',
'notifyUrl' => 'https://api.merchant.com/webhooks/haipay',
'sign' => 'signature'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://uat-interface.haipay.asia/ghs/pay/apply")
.header("Content-Type", "application/json")
.body("{\n \"appId\": 1054,\n \"orderId\": \"GHSPAY001\",\n \"amount\": \"100.00\",\n \"accountType\": \"EWALLET\",\n \"bankCode\": \"operator-code\",\n \"accountNo\": \"233241234567\",\n \"name\": \"Kofi Mensah\",\n \"phone\": \"233241234567\",\n \"notifyUrl\": \"https://api.merchant.com/webhooks/haipay\",\n \"sign\": \"signature\"\n}")
.asString();{
"status": "1",
"error": "00000000",
"msg": "",
"data": {
"orderId": "GHSPAY001",
"orderNo": "3023062014149637",
"payUrl": "",
"sign": "signature"
}
}加纳
加纳 — 加纳塞地代付申请
加纳 — 加纳塞地代付申请接口(POST /ghs/pay/apply),请求参数包含 orderId、amount、accountType、bankCode 与签名字段,返回订单状态与交易结果。
POST
/
ghs
/
pay
/
apply
加纳塞地代付申请
curl --request POST \
--url https://uat-interface.haipay.asia/ghs/pay/apply \
--header 'Content-Type: application/json' \
--data '
{
"appId": 1054,
"orderId": "GHSPAY001",
"amount": "100.00",
"accountType": "EWALLET",
"bankCode": "operator-code",
"accountNo": "233241234567",
"name": "Kofi Mensah",
"phone": "233241234567",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
'import requests
url = "https://uat-interface.haipay.asia/ghs/pay/apply"
payload = {
"appId": 1054,
"orderId": "GHSPAY001",
"amount": "100.00",
"accountType": "EWALLET",
"bankCode": "operator-code",
"accountNo": "233241234567",
"name": "Kofi Mensah",
"phone": "233241234567",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://uat-interface.haipay.asia/ghs/pay/apply';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 1054,
orderId: 'GHSPAY001',
amount: '100.00',
accountType: 'EWALLET',
bankCode: 'operator-code',
accountNo: '233241234567',
name: 'Kofi Mensah',
phone: '233241234567',
notifyUrl: 'https://api.merchant.com/webhooks/haipay',
sign: 'signature'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://uat-interface.haipay.asia/ghs/pay/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => 1054,
'orderId' => 'GHSPAY001',
'amount' => '100.00',
'accountType' => 'EWALLET',
'bankCode' => 'operator-code',
'accountNo' => '233241234567',
'name' => 'Kofi Mensah',
'phone' => '233241234567',
'notifyUrl' => 'https://api.merchant.com/webhooks/haipay',
'sign' => 'signature'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://uat-interface.haipay.asia/ghs/pay/apply")
.header("Content-Type", "application/json")
.body("{\n \"appId\": 1054,\n \"orderId\": \"GHSPAY001\",\n \"amount\": \"100.00\",\n \"accountType\": \"EWALLET\",\n \"bankCode\": \"operator-code\",\n \"accountNo\": \"233241234567\",\n \"name\": \"Kofi Mensah\",\n \"phone\": \"233241234567\",\n \"notifyUrl\": \"https://api.merchant.com/webhooks/haipay\",\n \"sign\": \"signature\"\n}")
.asString();{
"status": "1",
"error": "00000000",
"msg": "",
"data": {
"orderId": "GHSPAY001",
"orderNo": "3023062014149637",
"payUrl": "",
"sign": "signature"
}
}本页所有示例请求均基于沙盒(测试)环境,请注意区分正式环境。
密钥私钥(生成签名)
相关主题
请求体
application/json
业务ID(后台获取,需与URL币种一致)
商户订单号,必须唯一,最长48个字符
Maximum string length:
48交易金额(GHS),最多2位小数;范围以商户后台业务配置范围为准
Pattern:
^((([1-9]\d*)(\.\d{1,4})?)|(0\.(?!0+$)\d{1,4}))$账户类型,仅支持电子钱包 EWALLET
可用选项:
EWALLET 移动钱包运营商支付编码;须为商户后台支付编码配置支持的值
收款移动钱包账号,12位数字,以233开头且不带+号
Pattern:
^233\d{9}$收款人姓名
收款人手机号
签名
收款人邮箱
异步通知地址
交易标题、商品名称或支付原因
备注详情
用户唯一标识
Maximum string length:
64Pattern:
^[a-zA-Z0-9\-~!@#$%&*()_]+$最后修改于 2026年10月29日

